<?php
	
	/**
	 * On inclut l'en-tête de la page web, laquelle 
	 * inclut entre autre le menu et nos utilitaires 
	 * PHP.
	 **/
	include __DIR__ . '/header.php';
	
	/**
	 * Si l'utilisateur est déjà authentifié (=connecté), 
	 * on le redirige vers la page d'accueil. Dans le cas 
	 * contraire, on affiche le formulaire de connexion.
	 **/
	if(is_authenticated()){
		
		header('Location: /wissen/accueil.php');
		
	}else{
		
		/**
		 * Si l'utilisateur à soumis le formulaire de connexion,
		 * on essaie de l'authentifier.
		 **/
		if(isset($_POST['email']) && isset($_POST['password'])){
			
			// Tentative d'authentification
			$success = connect($_POST['email'], $_POST['password']);
			
			// Si la tentative a réussi, redirection vers la page d'accueil
			if($success){
				header('Location: /wissen/accueil.php');
			}
			
		}
	 
?>		

<!-- formulaire de connexion -->
<form class="connexion" action="/wissen/connexion.php" method="POST">
   <!-- Affichage de deux champ -->
   Adresse mail : <input name="email" type="text" /> <br/>
   Mot de passe : <input name="password" type="password" /> <br/>
   <!-- Bouton pour soumettre le formulaire -->
   <input type="submit" value="Se connecter" />
</form>

<?php
		
		/**
		 * S'il y a eu tentative de connexion et échec de la tentative,
		 * on affiche un message d'erreur.
		 **/
		if(isset($success) && !$success){
			
?>

<div class="message">
	<div class="erreur">Identifiant et/ou mot de passe incorrect.</div>
</div>

<?php
			
		}

	}

	/**
	 * On inclut le pied de page dont le contenu vient 
	 * clôre la page web.
	 **/
	include __DIR__ . '/footer.php';
	
?>